View Issue Details

IDProjectCategoryView StatusLast Update
0005268SOGoWeb Calendarpublic2021-03-02 15:14
ReporterGebemsea Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0.1 
Fixed in Version5.1.0 
Summary0005268: Calendar entry given incorrect date for event in 2026
Description

Adding an all-day event on 15-mar-26 using SoGo web UI results in an event appearing in events list with a date of 20-Apr-62. Opening this event shows it to have a date of 16-Mar-1926.

Steps To Reproduce

Consistently reproducible on https://demo.sogo.nu:
Go to calendar
Set events list to show all events
press e
Fill in Title, set to all-day, set start date to 15-mar-26, observe end date changes to 15-mar-26, click [Save]

Expected outcome: Event appears in calendar on 15-mar-2026

Actual outcome:
No event appears in calendar on 15-mar-2026 - incorrect
All day event appears in event list with a date of 20-Apr-62 -incorrect
Open the event and note it has a date of Monday, March 15, 1926 - incorrect

Additional Information

Case for "major" severity:

  1. It is possible for a user to believe an event has been added and not realise it is not there in the future (e.g. an important document renewal).
  2. 2026 is only 5 years away and there are plenty of reasons for adding something to the calendar that far ahead; this needs to work.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: master 6f909771

2021-03-02 14:59:59

francis

Details Diff
fix(common(js)): improve parsing of year

There's no perfect solution when only two digits are used for the year.
It's always better to show four digits for the year to avoid unexpected
results.

Fixes 0005268
Affected Issues
0005268
mod - UI/WebServerResources/js/Common/utils.js Diff File

Issue History

Date Modified Username Field Change
2021-02-26 10:58 Gebemsea New Issue
2021-03-02 15:13 francis Changeset attached => sogo master 6f909771
2021-03-02 15:13 francis Assigned To => francis
2021-03-02 15:13 francis Resolution open => fixed
2021-03-02 15:14 francis Status new => resolved
2021-03-02 15:14 francis Fixed in Version => 5.1.0